Subject: Re: bug#62370: 28.1; sieve-mode: faces should inherit from font-lock-X-face faces

From: Jim Porter <[email-masked]>
Date: Thu, 23 Mar 2023 09:11:57 -0700

On 3/22/2023 11:58 PM, Eli Zaretskii wrote:
>> Date: Thu, 23 Mar 2023 12:05:24 +1100
>> From: "Trent W. Buck" <[email-masked]>
>> Cc: Gregory Heytings <[email-masked]>, Eli Zaretskii <[email-masked]>,
>> 	[email-masked]
>>
>> I don't think "I opened foo.sieve in Emacs 20 twenty years ago, and
>> now I opened foo.sieve in Emacs 30 today, and the colors aren't identical, and now I'm mad"
>> is a good argument for never changing the defaults.
> 
>  From my POV, it _is_ a good argument.  Especially when the defaults
> change in a feature that is easily customizable, and so basically you
> are asking to impose your preferences, which are easily catered to by
> your local customizations, on everyone else.

I agree that we shouldn't be changing defaults arbitrarily, but as I 
found when looking at the face definitions, we could make this change in 
a way where it just simplifies the job for theme authors but doesn't 
cause a noticeable change in most cases.

Does that sound ok? If not, then I think we can just close this.